View Issue Details

IDProjectCategoryView StatusLast Update
0000670Xdebug(No Category)public2011-03-10 15:35
ReportercanuckistaniAssigned Toderick 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntu OS Version10.10
Product Version2.1.0 
Target VersionFixed in Version 
Summary0000670: Segfault in Xdebug when used for code coverage with PHPUnit
DescriptionDisclaimer: I can't see a way to re-open 0000661, so logging this. Annoying, I know.

Steps To Reproduce1. built PHP 5.3.5 with --enable-debug
2. installed Xdebug and PHPUnit via pear / pecl
3. ran my unit tests using gdb, specifically a particular test that uses the Rediska redis client:

https://github.com/Shumkov/Rediska

PHP *always* segfaults, the backtrace from gdb seems to implicate xdebug code:

#0 0x00007ffff611c5c3 in xdebug_set_in_ex (set=0x1f52a60, position=1189155543, noisy=1) at /tmp/pear/temp/xdebug/xdebug_set.c:72
#1 0x00007ffff610abbe in xdebug_analyse_branch (opa=0x1f37638, position=1189155543, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:390
0000002 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=133, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
0000003 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=131, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
0000004 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=129, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
0000005 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=119, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
0000006 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=114, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
0000007 0x00007ffff610ac5d in xdebug_analyse_branch (opa=0x1f37638, position=111, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:410
0000008 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=101, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
0000009 0x00007ffff610ac5d in xdebug_analyse_branch (opa=0x1f37638, position=88, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:410
0000010 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=85, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
0000011 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=79, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
0000012 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=78, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
0000013 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=74, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
0000014 0x00007ffff610ac5d in xdebug_analyse_branch (opa=0x1f37638, position=44, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:410
0000015 0x00007ffff610ac5d in xdebug_analyse_branch (opa=0x1f37638, position=35, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:410
0000016 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=31, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
0000017 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=27, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
0000018 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=18, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
0000019 0x00007ffff610ac5d in xdebug_analyse_branch (opa=0x1f37638, position=6, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:410
0000020 0x00007ffff610ad5a in xdebug_analyse_oparray (opa=0x1f37638, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:444
0000021 0x00007ffff610ae92 in prefill_from_oparray (fn=0x1dd1428 "/data/redis/Rediska/library/Rediska/KeyDistributor/ConsistentHashing.php", opa=0x1f37638)
    at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:473

( more lines after this, see file attachement )


Additional InformationThe PHP file that seems to cause this crash is:

https://github.com/Shumkov/Rediska/raw/master/library/Rediska/KeyDistributor/ConsistentHashing.php

export USE_ZEND_ALLOC=0 mitigates this issue, so it should be closed, but either this is a bug in PHP (?) *or* Xdebug is not functioning.
TagsNo tags attached.
Operating System
PHP Version5.3.5

Activities

canuckistani

2011-03-09 00:29

reporter  

xdebug_rediska_phpunit_coverage_crash.txt (23,211 bytes)
#0  0x00007ffff611c5c3 in xdebug_set_in_ex (set=0x1f52a60, position=1189155543, noisy=1) at /tmp/pear/temp/xdebug/xdebug_set.c:72
#1  0x00007ffff610abbe in xdebug_analyse_branch (opa=0x1f37638, position=1189155543, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:390
#2  0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=133, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
#3  0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=131, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
#4  0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=129, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
#5  0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=119, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
#6  0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=114, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
#7  0x00007ffff610ac5d in xdebug_analyse_branch (opa=0x1f37638, position=111, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:410
#8  0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=101, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
#9  0x00007ffff610ac5d in xdebug_analyse_branch (opa=0x1f37638, position=88, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:410
#10 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=85, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
#11 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=79, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
#12 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=78, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
#13 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=74, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
#14 0x00007ffff610ac5d in xdebug_analyse_branch (opa=0x1f37638, position=44, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:410
#15 0x00007ffff610ac5d in xdebug_analyse_branch (opa=0x1f37638, position=35, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:410
#16 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=31, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
#17 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=27, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
#18 0x00007ffff610ac21 in xdebug_analyse_branch (opa=0x1f37638, position=18, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:408
#19 0x00007ffff610ac5d in xdebug_analyse_branch (opa=0x1f37638, position=6, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:410
#20 0x00007ffff610ad5a in xdebug_analyse_oparray (opa=0x1f37638, set=0x1f52a60) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:444
#21 0x00007ffff610ae92 in prefill_from_oparray (fn=0x1dd1428 "/data/redis/Rediska/library/Rediska/KeyDistributor/ConsistentHashing.php", opa=0x1f37638)
    at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:473
#22 0x00007ffff610b0fb in prefill_from_function_table (opa=0x1f37638, num_args=1, args=0x7fffffff6da0, hash_key=0x7fffffff6d80)
    at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:497
#23 0x00000000007ddcc5 in zend_hash_apply_with_arguments (ht=0x1f22048, apply_func=0x7ffff610b04e <prefill_from_function_table>, num_args=1)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_hash.c:732
#24 0x00007ffff610b1cf in prefill_from_class_table (class_entry=0x1f4e768, num_args=1, args=0x7fffffff6f30, hash_key=0x7fffffff6f10)
    at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:515
#25 0x00000000007ddcc5 in zend_hash_apply_with_arguments (ht=0xe27be0, apply_func=0x7ffff610b102 <prefill_from_class_table>, num_args=1)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_hash.c:732
#26 0x00007ffff610b295 in xdebug_prefill_code_coverage (op_array=0xff3930) at /tmp/pear/temp/xdebug/xdebug_code_coverage.c:529
#27 0x00007ffff610857b in xdebug_compile_file (file_handle=0x7fffffff70a0, type=2) at /tmp/pear/temp/xdebug/xdebug.c:1392
#28 0x000000000088580a in ZEND_INCLUDE_OR_EVAL_SPEC_CV_HANDLER (execute_data=0x7ffff7ee4f08)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:22455
#29 0x0000000000802d24 in ZEND_USER_OPCODE_SPEC_HANDLER (execute_data=0x7ffff7ee4f08)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:706
#30 0x0000000000800bce in execute (op_array=0x10f5958) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#31 0x00007ffff6107fa2 in xdebug_execute (op_array=0x10f5958) at /tmp/pear/temp/xdebug/xdebug.c:1272
#32 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ee4398)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#33 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ee4398)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#34 0x0000000000800bce in execute (op_array=0x1120090) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#35 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1120090) at /tmp/pear/temp/xdebug/xdebug.c:1272
#36 0x00000000007bdbc9 in zend_call_function (fci=0x7fffffff77d0, fci_cache=0x7fffffff7820)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_execute_API.c:964
#37 0x00000000006c0400 in zif_call_user_func (ht=2, return_value=0x1dd2340, return_value_ptr=0x0, this_ptr=0x0, return_value_used=0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/ext/standard/basic_functions.c:4771
#38 0x000000000080088a in execute_internal (execute_data_ptr=0x7ffff7ee4140, return_value_used=0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_execute.c:1261
#39 0x00007ffff610834a in xdebug_execute_internal (current_execute_data=0x7ffff7ee4140, return_value_used=0) at /tmp/pear/temp/xdebug/xdebug.c:1339
#40 0x0000000000801700 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ee4140)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:318
#41 0x0000000000805cbb in ZEND_DO_FCALL_SPEC_CONST_HANDLER (execute_data=0x7ffff7ee4140)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:1606
#42 0x0000000000800bce in execute (op_array=0x1113be0) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#43 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1113be0) at /tmp/pear/temp/xdebug/xdebug.c:1272
#44 0x00000000007bdbc9 in zend_call_function (fci=0x7fffffff7d90, fci_cache=0x7fffffff7de0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_execute_API.c:964
#45 0x00000000006c0400 in zif_call_user_func (ht=2, return_value=0x1cae348, return_value_ptr=0x0, this_ptr=0x0, return_value_used=1)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/ext/standard/basic_functions.c:4771
#46 0x000000000080088a in execute_internal (execute_data_ptr=0x7ffff7ee3ce8, return_value_used=1)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_execute.c:1261
#47 0x00007ffff610834a in xdebug_execute_internal (current_execute_data=0x7ffff7ee3ce8, return_value_used=1) at /tmp/pear/temp/xdebug/xdebug.c:1339
#48 0x0000000000801700 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ee3ce8)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:318
#49 0x0000000000805cbb in ZEND_DO_FCALL_SPEC_CONST_HANDLER (execute_data=0x7ffff7ee3ce8)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:1606
#50 0x0000000000800bce in execute (op_array=0x10f8a30) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#51 0x00007ffff6107fa2 in xdebug_execute (op_array=0x10f8a30) at /tmp/pear/temp/xdebug/xdebug.c:1272
#52 0x00000000007bdbc9 in zend_call_function (fci=0x7fffffff8350, fci_cache=0x7fffffff83a0)
---Type <return> to continue, or q <return> to quit---
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_execute_API.c:964
#53 0x00000000007e9991 in zend_call_method (object_pp=0x0, obj_ce=0x10f9aa8, fn_proxy=0x1136478, function_name=0x1136530 "zend_loader_autoloader::autoload", 
    function_name_len=33, retval_ptr_ptr=0x7fffffff84c0, param_count=1, arg1=0x1dbe2e0, arg2=0x0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_interfaces.c:97
#54 0x000000000061f334 in zif_spl_autoload_call (ht=1, return_value=0x1dd0a38, return_value_ptr=0x7fffffff8850, this_ptr=0x0, return_value_used=1)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/ext/spl/php_spl.c:405
#55 0x00000000007bdd9a in zend_call_function (fci=0x7fffffff8780, fci_cache=0x7fffffff87d0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_execute_API.c:986
#56 0x00000000007be4c5 in zend_lookup_class_ex (name=0x1f1f6e8 "Rediska_KeyDistributor_ConsistentHashing", name_length=40, use_autoload=1, ce=0x7fffffff88c0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_execute_API.c:1121
#57 0x00000000007bf04a in zend_fetch_class (class_name=0x1f1f6e8 "Rediska_KeyDistributor_ConsistentHashing", class_name_len=40, fetch_type=4)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_execute_API.c:1563
#58 0x0000000000804692 in ZEND_FETCH_CLASS_SPEC_CV_HANDLER (execute_data=0x7ffff7ee3500)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:1146
#59 0x0000000000802d24 in ZEND_USER_OPCODE_SPEC_HANDLER (execute_data=0x7ffff7ee3500)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:706
#60 0x0000000000800bce in execute (op_array=0x1c07e78) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#61 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1c07e78) at /tmp/pear/temp/xdebug/xdebug.c:1272
#62 0x00000000007bdbc9 in zend_call_function (fci=0x7fffffff8d40, fci_cache=0x7fffffff8d90)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_execute_API.c:964
#63 0x00000000006c0400 in zif_call_user_func (ht=2, return_value=0x1afc030, return_value_ptr=0x0, this_ptr=0x0, return_value_used=1)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/ext/standard/basic_functions.c:4771
#64 0x000000000080088a in execute_internal (execute_data_ptr=0x7ffff7ee3140, return_value_used=1)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_execute.c:1261
#65 0x00007ffff610834a in xdebug_execute_internal (current_execute_data=0x7ffff7ee3140, return_value_used=1) at /tmp/pear/temp/xdebug/xdebug.c:1339
#66 0x0000000000801700 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ee3140)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:318
#67 0x0000000000805cbb in ZEND_DO_FCALL_SPEC_CONST_HANDLER (execute_data=0x7ffff7ee3140)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:1606
#68 0x0000000000800bce in execute (op_array=0x1c9a158) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#69 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1c9a158) at /tmp/pear/temp/xdebug/xdebug.c:1272
#70 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ee2f10)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#71 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ee2f10)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#72 0x0000000000800bce in execute (op_array=0x1bdf520) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
---Type <return> to continue, or q <return> to quit---
#73 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1bdf520) at /tmp/pear/temp/xdebug/xdebug.c:1272
#74 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ee2d90)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#75 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ee2d90)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#76 0x0000000000800bce in execute (op_array=0x1c7e0f8) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#77 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1c7e0f8) at /tmp/pear/temp/xdebug/xdebug.c:1272
#78 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ee2bb0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#79 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ee2bb0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#80 0x0000000000800bce in execute (op_array=0x1bddad8) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#81 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1bddad8) at /tmp/pear/temp/xdebug/xdebug.c:1272
#82 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ee2640)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#83 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ee2640)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#84 0x0000000000800bce in execute (op_array=0x1bd3ad0) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#85 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1bd3ad0) at /tmp/pear/temp/xdebug/xdebug.c:1272
#86 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ee1ca8)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#87 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ee1ca8)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#88 0x0000000000800bce in execute (op_array=0x1b93e48) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#89 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1b93e48) at /tmp/pear/temp/xdebug/xdebug.c:1272
#90 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ee1780)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#91 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ee1780)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#92 0x0000000000800bce in execute (op_array=0x1b93c58) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#93 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1b93c58) at /tmp/pear/temp/xdebug/xdebug.c:1272
#94 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ee1640)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#95 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ee1640)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#96 0x0000000000800bce in execute (op_array=0x1b93888) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
---Type <return> to continue, or q <return> to quit--- 
#97 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1b93888) at /tmp/pear/temp/xdebug/xdebug.c:1272
#98 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ee14b0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#99 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ee14b0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#100 0x0000000000800bce in execute (op_array=0x1a5c328) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#101 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1a5c328) at /tmp/pear/temp/xdebug/xdebug.c:1272
#102 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ee0e70)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#103 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ee0e70)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#104 0x0000000000800bce in execute (op_array=0x1588a90) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#105 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1588a90) at /tmp/pear/temp/xdebug/xdebug.c:1272
#106 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ee0850)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#107 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ee0850)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#108 0x0000000000800bce in execute (op_array=0x1563340) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#109 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1563340) at /tmp/pear/temp/xdebug/xdebug.c:1272
#110 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ee0430)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#111 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ee0430)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#112 0x0000000000800bce in execute (op_array=0x11ca2f8) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#113 0x00007ffff6107fa2 in xdebug_execute (op_array=0x11ca2f8) at /tmp/pear/temp/xdebug/xdebug.c:1272
#114 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7edf250)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#115 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7edf250)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#116 0x0000000000800bce in execute (op_array=0x1591280) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#117 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1591280) at /tmp/pear/temp/xdebug/xdebug.c:1272
#118 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ede078)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#119 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ede078)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#120 0x0000000000800bce in execute (op_array=0x17aedb8) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
---Type <return> to continue, or q <return> to quit---
#121 0x00007ffff6107fa2 in xdebug_execute (op_array=0x17aedb8) at /tmp/pear/temp/xdebug/xdebug.c:1272
#122 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7edcfd8)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#123 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7edcfd8)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#124 0x0000000000800bce in execute (op_array=0x1591098) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#125 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1591098) at /tmp/pear/temp/xdebug/xdebug.c:1272
#126 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7edcec0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#127 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7edcec0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#128 0x0000000000800bce in execute (op_array=0x15e0f60) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#129 0x00007ffff6107fa2 in xdebug_execute (op_array=0x15e0f60) at /tmp/pear/temp/xdebug/xdebug.c:1272
#130 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7edbb70)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#131 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7edbb70)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#132 0x0000000000800bce in execute (op_array=0x15de4d8) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#133 0x00007ffff6107fa2 in xdebug_execute (op_array=0x15de4d8) at /tmp/pear/temp/xdebug/xdebug.c:1272
#134 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ed9560)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#135 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ed9560)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#136 0x0000000000800bce in execute (op_array=0x1126b70) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#137 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1126b70) at /tmp/pear/temp/xdebug/xdebug.c:1272
#138 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ed85c0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#139 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ed85c0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#140 0x0000000000800bce in execute (op_array=0x1052068) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#141 0x00007ffff6107fa2 in xdebug_execute (op_array=0x1052068) at /tmp/pear/temp/xdebug/xdebug.c:1272
#142 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ed83b0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#143 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ed83b0)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#144 0x0000000000800bce in execute (op_array=0x100c1f0) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
---Type <return> to continue, or q <return> to quit---
#145 0x00007ffff6107fa2 in xdebug_execute (op_array=0x100c1f0) at /tmp/pear/temp/xdebug/xdebug.c:1272
#146 0x0000000000801872 in zend_do_fcall_common_helper_SPEC (execute_data=0x7ffff7ed8090)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:340
#147 0x0000000000801d74 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7ffff7ed8090)
    at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:421
#148 0x0000000000800bce in execute (op_array=0xff2f98) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend_vm_execute.h:107
#149 0x00007ffff6107fa2 in xdebug_execute (op_array=0xff2f98) at /tmp/pear/temp/xdebug/xdebug.c:1272
#150 0x00000000007cd6f5 in zend_execute_scripts (type=8, retval=0x0, file_count=3) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/Zend/zend.c:1194
#151 0x0000000000757cc4 in php_execute_script (primary_file=0x7fffffffe210) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/main/main.c:2265
#152 0x00000000008b11ea in main (argc=9, argv=0x7fffffffe478) at /home/jeff/xdebug_phpunit_rediska/php-5.3.5/sapi/cli/php_cli.c:1193

derick

2011-03-09 21:39

administrator   ~0001682

Hi!

I've good news and bad news. The good news is that I can fix this easily, and a fix will make its way into SVN soon. The bad news is that you have a bug in your code that makes Xdebug crash ;-)

Line 146 of ConsistentHashing.php, has:

145 if ($looped) {
146 break 2;
147 }

You can't do "break 2" there, because you're only in one nested loop (the while on line 120).

cheers,
Derick

canuckistani

2011-03-09 22:47

reporter   ~0001683

Sweet! I was too code-blind to see that yesterday reading the rediska code ( which isn't mine anyway ). I'll address that issue one the Rediska github repo.

derick

2011-03-10 15:35

administrator   ~0001684

Fixed in SVN for 2.1.1 and 2.2.0

Issue History

Date Modified Username Field Change
2011-03-09 00:29 canuckistani New Issue
2011-03-09 00:29 canuckistani File Added: xdebug_rediska_phpunit_coverage_crash.txt
2011-03-09 21:39 derick Note Added: 0001682
2011-03-09 22:47 canuckistani Note Added: 0001683
2011-03-10 15:35 derick Note Added: 0001684
2011-03-10 15:35 derick Status new => closed
2011-03-10 15:35 derick Assigned To => derick
2011-03-10 15:35 derick Resolution open => fixed
2016-07-31 13:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 13:35 derick Category debugclient (debugging tool) => (No Category)